pcl::common::IntensityFieldAccessor< pcl::PointNormal > Struct Template Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointNormal &p) const
void | get (const pcl::PointNormal &p, float &intensity) const
void | set (pcl::PointNormal &p, float intensity) const
void | demean (pcl::PointNormal &p, float value) const
void | add (pcl::PointNormal &p, float value) const

## Detailed Description

### template<>
struct pcl::common::IntensityFieldAccessor< pcl::PointNormal >

Definition at line 50 of file intensity.hpp.

## Member Function Documentation

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::add | ( | pcl::PointNormal & | p,
|  | float | value
| ) |  | const

inline

Definition at line 77 of file intensity.hpp.

References pcl::_PointNormal::curvature.

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::demean | ( | pcl::PointNormal & | p,
|  | float | value
| ) |  | const

inline

Definition at line 71 of file intensity.hpp.

References pcl::_PointNormal::curvature.

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::get | ( | const pcl::PointNormal & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 59 of file intensity.hpp.

References pcl::_PointNormal::curvature.

float pcl::common::IntensityFieldAccessor< pcl::PointNormal >::operator() | ( | const pcl::PointNormal & | p | ) | const

inline

Definition at line 53 of file intensity.hpp.

References pcl::_PointNormal::curvature.

void pcl::common::IntensityFieldAccessor< pcl::PointNormal >::set | ( | pcl::PointNormal & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 65 of file intensity.hpp.

References pcl::_PointNormal::curvature.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/intensity.hpp